-- main.lua for glass ball for Love 0.9.0

gr, pi = love.graphics, math.pi
light = require 'light'

function love.load()
	background = gr.newImage( 'test.png' )
	wd,ht = background:getWidth(), background:getHeight()
	love.window.setMode(wd,ht)
	gr.setBackgroundColor( 55, 55, 55 )
	lt = {			-- light params
		x		= 0.5,
		y		= 0.5,
		size	= 0.1,
		}
	for i,j in pairs(lt) do light:send(i,j) end


	function path( ang )
		local x = 4 * lt.radius * math.cos( ang ) / 3.5 + 0.5
		local y = lt.radius * math.sin( ang ) + 0.5
		return x, y
		end

	lt.radius = 0.3
	lt.ang = 0
	end

function love.update( dt )
		lt.ang = lt.ang <= 2 * pi and lt.ang + dt/2 or lt.ang - 2 * pi
		lt.x, lt.y = path( lt.ang )
		light:send( 'x', lt.x )
		light:send( 'y', lt.y )
	end

function love.draw()
	gr.setColor(255,255,255)
	gr.setShader( light )		-- pixel effect looks at entire canvas
	gr.draw( background )
	gr.setShader()
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.push('quit')			end
	end

